#
# Cookbook Name:: artifactory_pro
# Resource:: ssh
#
# Copyright (C) 2015 Monkey Little
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

def whyrun_supported?
  true
end

action :install do
end

action :configure do
end

def install_system_git
  package 'git' do
    version
    action :install
  end
end

def install_git_plugin
  jenkins_plugin 'git'
end

def configure_git_tool
  template "#{node['jenkins']['master']['home']}/hudson.plugins.git.GitTool.xml" do
    source 'git//git_tool.xml.erb'
    cookbook 'jenkins_plugins'
    owner node['jenkins']['master']['user']
    group node['jenkins']['master']['group']
    mode '0644'
  end
end

def configure_git_global_user
  template "#{node['jenkins']['master']['home']}/hudson.plugins.git.GitSCM.xml" do
    source 'git/git_scm.xml.erb'
    cookbook 'jenkins_plugins'
    owner node['jenkins']['master']['user']
    group node['jenkins']['master']['group']
    mode '0644'
  end
end

def configure_git_ssh_key
  jenkins_plugins_ssh @new_resource.ssh_key_name do
    host @new_resource.ssh_host
    hostname @new_resource.ssh_hostname
    port @new_resource.ssh_port
    key @new_resource.ssh_key
    type @new_resource.ssh_type
    strict_host_checking @new_resource.ssh_strict_host_checking
  end
end
