#
# Cookbook Name:: artifactory_pro
# Resource:: ssh
#
# Copyright (C) 2015 Monkey Little
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

actions [:install, :configure]

default_action :install

attribute :install, kind_of: [TrueClass, FalseClass], default: true
attribute :install_system, kind_of: [TrueClass, FalseClass], default: false
attribute :global_name, kind_of: String, default: ''
attribute :global_email, kind_of: String, default: ''
attribute :create_account, kind_of: [TrueClass, FalseClass], default: false
attribute :home, kind_of: String, default: 'git'
attribute :version, kind_of: String
attribute :system_version, kind_of: String
attribute :configure_ssh
attribute :ssh_key_name, kind_of: String
attribute :ssh_host, kind_of: String
attribute :ssh_hostname, kind_of: String
attribute :ssh_port, kind_of: Integer
attribute :ssh_key, kind_of: String
attribute :ssh_type, equal_to: %w(dsa rsa ecdsa), default: 'rsa'
attribute :ssh_strict_host_checking, kind_of: [TrueClass, FalseClass], default: true
